Active Topics

 



Notices


Reply
Thread Tools
Posts: 44 | Thanked: 73 times | Joined on Jun 2010
#11
Originally Posted by claustn View Post
There will be never a new Whatsapp app for N9, there is not even one for Sailfish sadly, nor a good one for Telegram (the original developer of Sailorgram left). ...
now let's forget about the closed protocol Whatsapp, but for Telegram there's the Telethon library, and I am quite determined in writing a small app for N9, I don't foresee any particular problem, once I update my N9 system.

I'm looking for: OpenSSL (newer than 1.0), Python3 (newer than 3.1).

I need OpenSSL to get pip working, and I need Python3.5 because that's what Telethon requires. Oh, and the bindings for Qt. But then again what are we talking about, if we can't offer the newest tools to the developers, how do we think that developers will write programs for MeeGo or Maemo?

for Python3.4 (might be sufficient) I've been hinted at devel-extras, but where is that? my apt sources look like this, as of now, and I find this quite messy, totally not in the line of a normal debian system, or what I have on Maemo:

Code:
# CODeRUS mirror
deb https://coderus.openrepos.net/n9mirror/001 ./
deb https://coderus.openrepos.net/n9mirror/apps ./
deb https://coderus.openrepos.net/n9mirror/tools ./

# SDK repository
deb http://mirror.thecust.net/harmattan-dev.nokia.com/ harmattan/sdk free non-free
deb-src http://mirror.thecust.net/harmattan-dev.nokia.com/ harmattan/sdk free

# Nokia-binaries
#deb http://mirror.thecust.net/harmattan-dev.nokia.com/ harmattan/41667a5bd857be02f487c2ce806fbf85 nokia-binaries
deb http://harmattan.openrepos.net/Enigma personal main
deb http://harmattan.openrepos.net/halftux personal main
deb http://harmattan.openrepos.net/hooddy personal main
deb http://harmattan.openrepos.net/mp107 personal main
deb http://harmattan.openrepos.net/rzr personal main
deb http://harmattan.openrepos.net/simplicio personal main
deb-exec /usr/bin/osa
 

The Following 3 Users Say Thank You to mfrasca For This Useful Post:
Posts: 44 | Thanked: 73 times | Joined on Jun 2010
#12
Originally Posted by claustn View Post
There will be never a [] good [app] for Telegram
Being Telegram an open protocol, I think I would be comfortably able to get something running on both (or either) N900 and N9 (prefer N900 because of hardware keyboard). I started looking into Telethon, found it quite simple actually, at least if you don't expect a fancy graphical interface, but I am stuck with OpenSSL, because in order to install Python dependencies, I need a working `pip`. On my N900 I now have:
Code:
user@carlolus:~$ openssl version
OpenSSL 0.9.8zf 19 Mar 2015
and on the N9 I have:
Code:
user@theresia:~$ openssl version
OpenSSL 1.0.1g 7 Apr 2014
and I don't know where to find anything newer.
 
Posts: 1,127 | Thanked: 3,713 times | Joined on Oct 2014
#13
Originally Posted by mfrasca View Post
Being Telegram an open protocol, I think I would be comfortably able to get something running on both (or either) N900 and N9 (prefer N900 because of hardware keyboard). I started looking into Telethon, found it quite simple actually, at least if you don't expect a fancy graphical interface, but I am stuck with OpenSSL, because in order to install Python dependencies, I need a working `pip`. On my N900 I now have:
Code:
user@carlolus:~$ openssl version
OpenSSL 0.9.8zf 19 Mar 2015
and on the N9 I have:
Code:
user@theresia:~$ openssl version
OpenSSL 1.0.1g 7 Apr 2014
and I don't know where to find anything newer.
http://talk.maemo.org/showpost.php?p...26&postcount=1
__________________
You can still support my work by donation - click here

ETH: 0xFcD031609DB739C62730589361940C68ceEbC913
 
Posts: 518 | Thanked: 1,390 times | Joined on Feb 2012 @ Germany
#14
Originally Posted by mfrasca View Post
for Python3.4 (might be sufficient) I've been hinted at devel-extras, but where is that?
This is a package for maemo5/N900. http://maemo.org/packages/view/python3.4/
So for the N900 I would try to compile a new openssl best is to get a different devel package name like libssl1.0-dev. So go with debian package libssl1.0.0 which is a backported 1.0.2 version.
After this I would compile python3-openssl and python3-cryptography. The python3-cryptography should be compiled against the newer libssl which is obvious because it is linked to libssl1.0.0.
 
Reply

Tags
harmattan, nokia n9

Thread Tools

 
Forum Jump


All times are GMT. The time now is 13:44.